[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[debian-users:33842] Bug#JP/1571: not sure but,...



At Mon, 29 Jul 2002 17:48:02 +0900,
Atsuhito Kohda wrote:

> >  Build-Depends: debhelper (>> 3.0.0), tk8.0-ja | tk8.2 | tk8.3
> > 
> > となっていますが、tk8.0-ja | tk8.2 | tk8.3 がなくても build できます。
> 
> えーと、make で
> 
> echo '#!'`which wish` > $(JBNAME)
> 
> というようなことをやってるので tk がないとスクリプト
> の最初が妙なことになりそうに思うのですが違うでしょうか?

tkのバージョンに依存しないスクリプトならばここは
#!/usr/bin/wish 固定でいいはずです。

# debパッケージを作る場合には which とかする必要はなく
# そのように直すべきです。
-- 
鵜飼文敏